> For the complete documentation index, see [llms.txt](https://docs.cardspro.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cardspro.com/api/kyc/initiate-new-kyc.md).

# Initiate new KYC

Initiates a new KYC process.

**Endpoint:** `POST /kyc/start`

{% hint style="warning" %}
**Starting a new KYC for the same kycExternalUserId will make the current KYC obsolete.**
{% endhint %}

#### **Request Body**

```json
{
  "kycExternalUserId": "unique-string",
  "callbackUrl": "string",
  "sort": "string"
}
```

#### Request Fields <a href="#request-fields" id="request-fields"></a>

<table><thead><tr><th width="204.22222900390625">Field</th><th width="123.22216796875">Type</th><th width="110.5555419921875">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>kycExternalUserId</code></td><td>String</td><td>Yes</td><td>Your unique final user ID</td></tr><tr><td><code>sort</code></td><td>String</td><td>Yes</td><td>Sort of KYC you are making KYC for</td></tr><tr><td><code>callbackUrl</code></td><td>String</td><td>No</td><td>URL to call via <code>POST</code> when KYC status changes <a href="/api/operations-callbacks.md#id-8-transaction-card-callback-1"><em>(see callback fields)</em></a></td></tr></tbody></table>

#### **Response**

If the request is successful, the API returns a JSON object containing the URL for manual KYC completion and the uuid for automatic KYC processing.

```json
{
  "uuid": "unique-string",
  "urlForUser": "https://somewhere.to/someuuid"
}
```

#### Response Fields <a href="#response-fields" id="response-fields"></a>

<table><thead><tr><th width="207.77783203125">Field</th><th width="170.7777099609375">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>uuid</code></td><td>String</td><td>UUID of KYC for automatic KYC processing.</td></tr><tr><td><code>urlForUser</code></td><td>String</td><td>URL for manual KYC completion</td></tr></tbody></table>
